// // Variables
//
// $primary: #ef604d;
// $primary-rgb: 239,96,77;
// $secondary: #599aa6;
// $secondary-rgb: 89,154,166;
// $success: #57d685;
// $success-rgb: 87,214,133;
// $warning: #ffae00;
// $warning-rgb: 255,174,0;
// $alert: #ec5840;
// $alert-rgb: 236,88,64;
//
// $proposals: #238ff7;
// $actions: #57d685;
// $debates: #fa6c96;
// $meetings: #fabc6c;
//
// $twitter: #55acee;
// $facebook: #3b5998;
// $google: #4285f4;
//
// // background colors used in public diff views
// $color-addition: #e6ffed;
// $color-removal: #ffeef0;
//
// // Define custom properties as css color variables
//
// :root{
//   --primary: #{$primary};
//   --primary-rgb: #{$primary-rgb};
//   --secondary: #{$secondary};
//   --secondary-rgb: #{$secondary-rgb};
//   --success: #{$success};
//   --success-rgb: #{$success-rgb};
//   --warning: #{$warning};
//   --warning-rgb: #{$warning-rgb};
//   --alert: #{$alert};
//   --alert-rgb: #{$alert-rgb};
//   --proposals: #{$proposals};
//   --actions: #{$actions};
//   --debates: #{$debates};
//   --meetings: #{$meetings};
//   --twitter: #{$twitter};
//   --facebook: #{$facebook};
//   --google: #{$google};
// }

$blue: #004494;

@import "decidim/application";

@font-face {
    font-family: "EuropaIcons";
    src: asset-data-url("europa-icons/europa-icons.eot");
    src: font-url("europa-icons/europa-icons.eot?#iefix") format("embedded-opentype"),
    font-url("europa-icons/europa-icons.woff") format("woff"),
    font-url("europa-icons/europa-icons.ttf") format("truetype"),
    font-url("europa-icons/europa-icons.svg?#icomoon") format("svg")
}

$body-font-family: Arial, sans-serif;

body, h1, h2, h3, h4, h5, h6, p, a, span {
  font-family: $body-font-family;
}

.reveal, .close-button {
  outline-color: var(--secondary);
}

.title-bar {
  padding: 2rem 1rem 2rem 1rem;
  background: white;

  @include breakpoint(smallmedium down){
    border-top: none;
  }

  .topbar {
    align-items: flex-end;
  }
}

.logo-wrapper {
  line-height: inherit;

  @include breakpoint(smallmedium down){
    margin-bottom: .25rem;
  }

  a {
    display: inline;
  }

  img {
    display: block;
    max-height: 1.75rem;
    max-width: 7rem;
    height: auto;

    @include breakpoint(small){
      height: 3rem;
      max-height: 100%;
      max-width: 100%;
      width: 12.1rem;
    }

    @include breakpoint(mediumlarge){
      height: 4.5rem;
      width: auto;
    }
  }
}

.topbar__dropmenu > ul > li > a {
  color: var(--primary);
}

.language-choose.topbar__dropmenu {
  margin: 0;

  @include breakpoint(smallmedium down){
    font-size: inherit;
    position: inherit;
    top: inherit;
    left: inherit;
    margin-left: inherit;

    .dropdown.menu > li.is-dropdown-submenu-parent > a::after{
      border-width: inherit;
      right: inherit;
      margin-top: inherit;
    }
  }

  ul> li > a {
    color: var(--primary);
  }

  .dropdown.menu > li.is-dropdown-submenu-parent > a {
    &::after {
      display: none;
    }

    @include breakpoint(smallmedium down){
      padding-right: .5rem;
    }
  }

  .menu.is-dropdown-submenu {
    border: 1px solid $medium-gray;
    border-radius: 0;
    margin-left: -1rem;

    &::before {
      border-bottom-color: $medium-gray;
    }

    @include breakpoint(smallmedium down){
      min-width: 100px;
    }
  }
}

.menu a.lang-select-site__link {
  display: block;
  font-size: .75rem;
  line-height: 1rem;
  padding: .5rem .5rem 0;
  text-align: center;

  @include breakpoint(mediumlarge){
    -webkit-box-align:center;
    align-items: center;
    display: -webkit-box;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    flex-direction: row;
    font-size: 1rem;
    line-height: 1.25rem;
    padding: .75rem;
  }
}

.lang-select-site__link:focus, .lang-select-site__link:hover {
    text-decoration: none,
}

.icon--language:before {
  text-decoration: none;
  display: inline-block;
  font-family: "EuropaIcons";
  speak: none;
  font-style: normal;
  font-weight: 400;
  font-variant: normal;
  text-transform: none;
  margin-right: 4px;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.icon--language:before {
    content: "\e824";
}

.lang-select-site__code {
    -webkit-box-align: center;
    align-items: center;
    display: -webkit-box;
    display: flex;
    -webkit-box-pack: center;
    justify-content: center;
    position: relative;

    @include breakpoint(mediumlarge){
      margin-right:.5rem;
    }
}

.lang-select-site__icon {
    -webkit-box-align: center;
    align-items: center;
    display: -webkit-box;
    display: flex;
    font-size: 1.15rem;
    -webkit-box-pack: center;
    justify-content: center;
    position: relative;
    height: 1.25rem;
    width: 1.25rem;

    @include breakpoint(mediumlarge){
      font-size:1.4rem;
      height: 1.5rem;
      width: 1.5rem;
    }
}

.lang-select-site__icon:before {
    margin-right: 0
}

.lang-select-site__code-text {
    color: #fff;
    font-size: .625rem;
    left: 50%;
    position: absolute;
    text-transform: uppercase;
    top: 50%;
    -webkit-transform: translateX(-50%) translateX(-.01rem) translateY(-50%) translateY(-.05rem);
    transform: translateX(-50%) translateX(-.01rem) translateY(-50%) translateY(-.05rem);

    @include breakpoint(mediumlarge){
      font-size:.75rem;
      line-height: 1rem;
      margin-right: .5rem;
      -webkit-transform: translateX(-50%) translateX(0) translateY(-50%) translateY(-.05rem);
      transform: translateX(-50%) translateX(0) translateY(-50%) translateY(-.05rem)
    }
}

.topbar__icon_search a {
  color: var(--primary);
  font-size: .75rem;

  .icon {
    display: block;
    font-size: 1.15rem;
    margin: 0 auto;
  }
}

.topbar__search input {
  margin-top: auto;
}

.topbar__search, .nav-search-holder {
  background-color: transparent;

  // display: none;
  font-size: .875rem;
  left: 0;
  line-height: 1.25rem;
  margin-top: -1px;
  padding: calc(1rem - 1px);
  width: calc(100% - 2rem);
  max-width: none;

  @include breakpoint(mediumlarge){
    border: 1px solid transparent;
    display: flex;
    margin: 4px 0;
    padding: 0;
    position: relative;
    top: 0;
    width: 25rem;
  }

  @include breakpoint(large){
    border: 1px solid transparent;
    width: 31.5rem;
  }

  .input-group, input, button,
  .input-group > :first-child,
  .input-group > :last-child > * {
    &, &:focus, &:hover, &:active {
      border-radius: 0 !important;
    }
  }

  .input-group > :first-child,
  .input-group > :last-child > * {
    &:focus {
      outline: 3px solid var(--secondary);
      border-color: var(--secondary);
      outline-offset: -1px;
    }
  }

  .input-group > input {
    padding-left: .5rem;

    &, &:focus, &:hover, &:active {
      background-color: white;
      color: #404040;
      border-radius: 0 !important;
    }
  }

  .input-group > :last-child > button{
    font-weight: bold;
    background-color: $medium-gray;
    color: var(--primary);
    filter: none;

    &:focus, &:hover, &:active  {
      color: var(--primary);
      text-decoration: underline;
    }
  }

  input[type="text"] {
    box-shadow: none;
    border: 2px solid transparent;

    &:focus {
      border-color: var(--secondary);
    }
  }

  .input-group {
    border: 1px solid #bfd0e4;
    background-color: $medium-gray;
    margin-bottom: 0;
    margin-left: .75rem;
  }
}

.topbar__menu {
  padding-left: 1rem;
  color: var(--primary);

  .icon {
    font-size: 1.5rem;
  }
}

.topbar__notifications .icon {
  opacity: 1;
}

.topbar__conversations .icon {
  fill: $blue;
  opacity: 0.75;
}

.user-bar {
  background-color: $medium-gray;

  .user-wrapper {
    display: flex;
    justify-content: flex-end;
    align-items: center;
  }

  .topbar__admin__link a {
    @extend .button.hollow;

    border-radius: $global-radius;
    color: var(--primary);
    padding: .25rem .5rem;

    &:focus, &:hover, &:active {
      color: $primary-color;
    }
  }

  .topbar__user__login a {
    display: inline-block;
    color: var(--primary);
    padding: .5rem 1rem;

    &::before {
      display: none;
    }

    &:focus, &:hover, &:active {
      outline: 3px solid var(--secondary);
      outline-offset: -1px;
      color: $primary-color;
    }
  }
}

.off-canvas {
  .topbar__admin__link a {
    display: flex;
    align-items: center;
    padding: .75rem 2rem;

    .icon {
      margin: 0 1rem 3px 0;
    }
  }
}

.navbar {
  background: $blue;
}

.main-nav__link--active a {
  box-shadow: inset 0 4px 0 0 var(--secondary);
}

.hero::after {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(26, 24, 29, 0.6);
  opacity: 0.1
}

@media print,
screen and (min-width: 64em) {
  .hero__container {
    padding: 10rem 0;
  }
}

.main-footer {
  background-color: $light-gray;
  color: var(--primary);

  a {
    color: var(--primary);

    &:hover {
      color: $primary-color;
    }
  }

  .row {
    display: flex;
    flex-direction: column;

    .footer-organization {
      max-width: 100%;
      padding-right: 0;
      font-weight: bold;

      .organization-name, a {
        padding-bottom: .5rem;
        text-align: center;
      }
    }

    .footer-application {
      flex-grow: 1;
      padding-left: 0;
    }

    .official-footer {
      justify-content: space-between;
    }

    .official-title, .footer-nav {
      max-width: none;
    }

    .official-title {
      font-weight: bold;
      text-align: center;
      margin-bottom: 1rem;
    }

    .main-footer__badge {
      width: auto;
      margin: .5rem 1rem;
    }

    ul.topic-pages-nav {

      li {
        font-size: .875rem;
        margin-bottom: 1rem;
        padding: 0;

        &:last-child {
          margin-bottom: 0;
        }
      }
    }

    .footer-nav, .open-data-link {
      font-size: .875rem;
      margin: 0;
      padding: 0;
      text-align: center;

      li {
        display: block;
        margin-bottom: 1rem;
        padding: 0;

        &:last-child {
          margin-bottom: 0;
        }
      }

      .icon {
        margin-bottom: -2px;
        margin-left: .25rem;
        color: inherit;
      }
    }

    .main__footer__social {
      margin-bottom: 1rem;
    }

    .social-media-links-header, .page-topic-header {
      font-size: 1rem;
      font-weight: bold;
      margin: 0 1.5rem;
    }

    @include breakpoint(medium){
      text-align: center;

      .main__footer__social, .main__footer__nav {
        text-align: center;
      }
    }

    @include breakpoint(mediumlarge){
      flex-direction: row;
      align-items: flex-start;
      justify-content: center;

      .footer-organization .organization-name {
        text-align: left;
      }

      .main-footer__badge {
        position: inherit;
        width: auto;
        margin: 0;
      }

      .footer-organization {
        max-width: 33%;
        padding: 0 1.5rem 0 .75rem;
      }

      .footer-application {
        padding-left: 1.5rem;
      }

      .main__footer__social {
        text-align: left;
      }

      .social-media-links-header, .page-topic-header {
        margin-left: 0;
        text-align: left;
        padding-bottom: .5rem;
        border-bottom: 2px solid $medium-gray;
      }

      ul.topic-pages-nav {
        margin: .5rem 0 0 0;
      }

      .open-data-link {
        display: inline-block;

        &:hover {
          border-color: $primary-color;
        }
      }

      .official-title, .footer-nav {
        flex-grow: 1;
        text-align: left;
        max-width: 33%;
        padding: 0 .75rem;
      }

      .footer-application .footer-nav {
        max-width: none;
        padding-left: 0;
      }
    }
  }

  .footer-divider {
    border-bottom: 2px solid $medium-gray;
    flex-grow: 1;
    margin: 1.5rem;
  }
}

.mini-footer {
  background-color: $light-gray;

  .row {
    display: flex;
    align-items: center;
    justify-content: center;

    .decidim-logo {
      display: flex;
      flex-grow: 0;
      width: auto;
      margin: 0 .5rem;
    }

    img {
      height: 1rem;
    }

    .mf-text {
      font-size: 80%;
      line-height: 1rem;
      color: var(--primary);

      a {
        font-weight: 600;
        color: var(--primary);

        &:hover {
          color: $primary-color;
        }
      }
    }
  }
}

.decidim-logo {
  display: none;
}
